diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 1d97dce..a70fa33 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -32771,8 +32771,8 @@ GeneralHenselPackage(RP,TP):C == T where
 
      reduction(u:TP,p:RP):TP ==
         zero? p => u
-        RP is Integer => map(symmetricRemainder(#1,p),u)
-        map(#1 rem p,u)
+        RP is Integer => map(x+->symmetricRemainder(x,p),u)
+        map(x+->x rem p,u)
 
      merge(p:RP,q:RP):Union(RP,"failed") ==
          p = q => p
@@ -32791,7 +32791,7 @@ GeneralHenselPackage(RP,TP):C == T where
 
      FP:=EuclideanModularRing(RP,TP,RP,reduction,merge,exactquo)
 
-     mQuo(poly:TP,n:RP) : TP == map(#1 quo n,poly)
+     mQuo(poly:TP,n:RP) : TP == map(x+->x quo n,poly)
 
      GenExEuclid(fl:List FP,cl:List FP,rhs:FP) :List FP ==
         [clp*rhs rem flp for clp in cl for flp in fl]
diff --git a/changelog b/changelog
index 9d2d52e..d8756e5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090601 tpd src/axiom-website/patches.html 20090601.06.tpd.patch
+20090601 tpd books/bookvol10.4 GHENSEL +-> conversion
 20090601 tpd src/axiom-website/patches.html 20090601.05.tpd.patch
 20090601 tpd books/bookvol10.4 GALFACT +-> conversion
 20090601 tpd src/axiom-website/patches.html 20090601.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d4f4e91..1304ede 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1413,5 +1413,7 @@ bookvol10.4 FS2UPS +-> conversion<br/>
 bookvol10.4 FSUPFACT +-> conversion<br/>
 <a href="patches/20090601.05.tpd.patch">20090601.05.tpd.patch</a>
 bookvol10.4 GALFACT +-> conversion<br/>
+<a href="patches/20090601.05.tpd.patch">20090601.05.tpd.patch</a>
+bookvol10.4 GHENSEL +-> conversion<br/>
  </body>
 </html>
